Bug 431795 - Shell provided in <ctrl>z in stage#2 terminates immediately
Shell provided in <ctrl>z in stage#2 terminates immediately
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
powerpc Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 18:30 EST by James Laska
Modified: 2013-09-02 02:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: anaconda-11.4.0.82
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-18 15:44:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-02-06 18:30:57 EST
Description of problem:

Get to stage#2 ... at any screen press <ctrl>z.  At the shell, type *any*
command.  The command does not run (or at least doesn't display output) and
immediately returns to stage#2 anaconda.

Version-Release number of selected component (if applicable):

Fedora-9 Alpha
 - anaconda-11.4.0.28-1

How reproducible:
100%
  
Actual results:
 - unusable shell

Expected results:
 - fully interactive shell when typing <ctrl>z 

Additional info:
 - I'm testing this on power5, haven't tested on other archs.
Comment 1 James Laska 2008-02-06 19:13:20 EST
Could this be related to git commit c8ba25b1?  
Comment 2 Patrick C. F. Ernzer 2008-02-07 16:23:34 EST
this problem also occurs on i386 for me
(one thing special about the machine I tested rescue on is that there are no
disks accessible, not sure if that matters or not)
Comment 3 Patrick C. F. Ernzer 2008-02-07 16:24:41 EST
doh! saved too fast, Comment #2 should have specified that this is in rescue mode
(system is a headless box behind a serial console server)
Comment 4 Bug Zapper 2008-05-14 01:02:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andy Lindeberg 2008-06-18 13:01:42 EDT
Have you encountered this problem in the final release of F9?
Comment 6 James Laska 2008-06-18 15:44:30 EDT
No longer an issue.

Type <exit> to return to the install program.

sh-3.2#

Note You need to log in before you can comment on or make changes to this bug.